# frozen_string_literal: true
module Steam
  # Represents a Steam server we can use
  # @example Creating server object
  #   server = Server.new('127.0.0.1', 123)
  #   puts server.host # => '127.0.0.1'
  #   puts server.port # => 123
  #
  # @see Networking::Connection
  class Server
    # The host IP of the Steam server
    attr_reader :host

    # The host port of the Steam server
    attr_reader :port

    # Instantiate a Server
    #
    # @param host [String] the server host
    # @param port [String] the server port
    def initialize(host, port)
      @host = host
      @port = port
    end
  end
end
